Subject: Re: [PATCH v2 10/11] reftable: make the compaction factor configurable

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 May 2024 09:22:38 -0700

Patrick Steinhardt <[email-masked]> writes:

> So this may be good enough for now, and when we gain the ability to
> parse floats we may convert this to accept floats, as well. An
> alternative would be to convert this to percent, where the default value
> would be 200. That should give sufficient flexibility without having to
> introduce floats.

There already is an established way to specify float with arbitrary
precision on the command line if we limit the value to 0..1, by the
way.

https://lore.kernel.org/git/[email-masked]/

It is amusing to revisit an ancient discussion thread.  I can see,
on the same thread in the discussion following that message, that
back in May 2005, we were discussing "intent to add" that did not
get invented until mid 2008 already ;-).